#ifndef ICONPROVIDER_H
#define ICONPROVIDER_H

#include <QObject>

class IconProvider : public QObject
{
    Q_OBJECT
public:
    explicit IconProvider(QObject *parent = nullptr);

    static QString iconIdWithExistedApp(const QString &iconName);
    static QString iconIdWithInstallingApp(const QString &iconName, const QString &desktopFile);
    static QString iconIdWithInstallingAndroidApp(const QString &iconName);
};

#endif // ICONPROVIDER_H
