#ifndef DESKTOPWINDOW_H
#define DESKTOPWINDOW_H

#include "base/platformwindow.h"

class DesktopWindow : public PlatformWindow
{
    Q_OBJECT
public:
    explicit DesktopWindow(QWindow *parent = nullptr);

Q_SIGNALS:
    void desktopIsNotActived();

private Q_SLOTS:
    void onActiveChanged();
    void initScreenConnections(QScreen *screen);
    void updateWindowGeometry();

private:
    bool isPolkitWindowActived();
};

#endif // DESKTOPWINDOW_H
