pragma Singleton
import QtQuick 2.12
import QtQml 2.12
import QtQuick.Window 2.12

QtObject {
    property real widthScaleFactor :  Screen.width / 1920 //1
    property real heightScaleFactor :  Screen.height / 1080//1

    property real dpScale:  1.5
    readonly property real dp: Math.max(Screen.pixelDensity * 25.4 / 160 * dpScale, 1)

    property real defaultPixDensity: 3.611320754716981  //pixel density of my current screen
    property real scaleFactor: dp//Screen.pixelDensity / defaultPixDensity
}
